package com.zy.bms.controller.lp;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.entity.lp.LpInfoState;
import com.zy.bms.service.lp.ILpInfoStateService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 路牌设备
 * 微信小程序 端接口
 *
 * @author yang xiao kun
 * create on 2021/7/16
 */
@RestController
@RequestMapping("/bms/api/lpapp")
public class LpWxController {
    @Resource
    private ILpInfoStateService lpInfoStateService;

    /**
     * 查询所有设备
     */
    @GetMapping("list.do")
    public ServerResponse getListByUserId() {
        return ServerResponse.success(lpInfoStateService.list());
    }


    /**
     * 更新唤醒时间和阈值
     */
    @PostMapping("update.do")
    public ServerResponse update(LpInfoState entity) {
        return ServerResponse.success(lpInfoStateService.updateWakeAndThresh(entity));
    }
}
