package com.zy.bms.mapper.lp;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.lp.LpInfoState;
import com.zy.bms.pojo.io.DeviceIO;
import com.zy.bms.pojo.vo.LpDeviceListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 设备-路牌 Mapper 接口
 *
 * @author chenyi
 * @since 2021-06-22
 */
@Mapper
@Repository
public interface LpInfoStateMapper extends BaseMapper<LpInfoState> {

    /**
     * 分页查询设备列表
     *
     * @param io 查询条件
     */
    IPage<LpDeviceListVo> listPage(Page<LpDeviceListVo> page, @Param("io") DeviceIO io);

    /**
     * 更新唤醒时间和阈值
     *
     * @param entity 实体类
     */
    int updateWakeAndThresh(@Param("entity") LpInfoState entity);
}
